China factories

Hanging Wooden Jellyfish Origami Pleated Paper Lamp LED Reading Light

Price: $6.90-7.60 Get Latest Price
  • Brand Name: ZhengMing / OEM/ODM
  • Model Number: M-002
  • Minimum Order Quantity: 10
  • Delivery Time: 15 work days
  • view more

Folding Wood Pulp 230gsm Origami Art Paper

Price: 1.33 - 2.2 USD per pack Get Latest Price
  • Brand Name: Chris
  • Model Number: CH-HCP
  • Minimum Order Quantity: 1000 packs
  • Delivery Time: 7-15 working days
  • view more

Islamic Pleat Paper Smocking Clothing Temporary Shades Textile

Price: Negotiable Get Latest Price
  • Brand Name: Bosheng
  • Model Number: 863, 830
  • Minimum Order Quantity: 100kg
  • Delivery Time: Negotiable
  • view more

Origami Drawer Paper Box Red Cardboard Gift Packing Boxes With Magnet

Price: Negotiable Get Latest Price
  • Brand Name: NSWprint
  • Model Number: M134
  • Minimum Order Quantity: 1000 pcs
  • Delivery Time: 10-15 business days(depends on quantity)
  • view more

Wholesale of flower bouquets, flower wrapping paper, hand-rolled paper, pleated paper, creased paper, flower art, flower shop, shaped paper, inner lining and packaging paper

Price: Negotiable Get Latest Price
  • Brand Name: Famous
  • Model Number: Paper-241
  • Minimum Order Quantity: 10000 sheets
  • Delivery Time: 30days in stock
  • view more

Wood Pulp 200gsm Kraft Paper Roll Pleating Paper , Pattern Paper CAD Plotter Paper

Price: USD 1.00~1.10/kg Get Latest Price
  • Brand Name: YMD
  • Model Number: 200gsm
  • Minimum Order Quantity: 2000kgs
  • Delivery Time: 7-10 days for stock items
  • view more

Medical HME Absorbent Air Pleated Paper For Heat And Moisture Exchanger

Price: $0.06 - $0.10/Meters Get Latest Price
  • Brand Name: LONGWANGDA
  • Model Number: LWD42200066611
  • Minimum Order Quantity: 100000 Meters
  • Delivery Time: 25-35DAYS
  • view more

JYLIGHTING Modern Medieval Pleated Floor Lamp for Home Retro Upright for Living Room Bedroom Nordic Decoration Bedside Atmosphere Lamp Modern Pendant Light

Price: Negotiable Get Latest Price
  • Brand Name: JYLIGHTING
  • Model Number: JYL-F2339
  • Minimum Order Quantity: 1PCS
  • Delivery Time: 15 days after received the advance payment
  • view more

POSEIDON G7013 Air Filter Adhesive for PU filter , Pleated Paper , Yellow Polyolefin Hot Melt Adhesive

Price: Negotiable Get Latest Price
  • Brand Name: POSEIDON
  • Model Number: G7013
  • Minimum Order Quantity: 25kg
  • Delivery Time: 3-10 days
  • view more

kitchen Bar Cafe Pleated Paper hanging Lighting Restaurant fold paper lampshade LED Chandelier Lighting Lenore Pleated Chandelier(WH-MI-476)

Price: 1-100USD Get Latest Price
  • Brand Name: Well House
  • Model Number: WH-MI-476
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

Handmade Pleated Paper Pattern Design Korean Version Loose Short-Sleeved Solid Color T-Shirt for Women Ribbed Neck Summer

Price: $18 / piece Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: 2 pieces
  • Delivery Time: Negotiable
  • view more

17801-11130 Engine Air Filter Fits Toyota Prado 1GD Diesel Engine, Cross Ref A1532, 270×218×67mm White Pleated Paper with Black Plastic Housing, OE Standard & Easy Installation

Price: USD2 Get Latest Price
  • Brand Name: Original/china made
  • Model Number: 17801-11130
  • Minimum Order Quantity: 5 pieces
  • Delivery Time: 3-15 work days
  • view more

Soap Making Machine for Manufacturing Plant Cutter Slicer Pleat Paper Film Packing Wrapper

Price: $30,000.00 - $120,000.00/sets Get Latest Price
  • Brand Name: LIMAC
  • Model Number: Negotiable
  • Minimum Order Quantity: 1 PC
  • Delivery Time: Negotiable
  • view more

High-efficiency Pleated Paper Air Filter Direct Replacement for Isuzu 4HF1 3.9L Diesel Engine

Price: Negotiable Get Latest Price
  • Brand Name: YIMI
  • Model Number: ISUZU 4HF1
  • Minimum Order Quantity: 10 pcs
  • Delivery Time: 5-8 Work Days
  • view more

Eco Oil Filter Paper Rotary Pleating Machine Origami Production Line

Price: USD 17500/pcs Get Latest Price
  • Brand Name: PLM
  • Model Number: PLGT-600
  • Minimum Order Quantity: 1 SET
  • Delivery Time: 20 DAYS AFTER DEPOSIT
  • view more

Cardboard Glue Origami Car Air Filter Making Machine Computerized

Price: Negotiable Get Latest Price
  • Brand Name: Chang Feng
  • Model Number: 9009-06-02
  • Minimum Order Quantity: >=1 Sets
  • Delivery Time: 8-10 work days
  • view more

HEPA Filter Paper Pleating Machine

Price: 0~100,000RMB/PCS Get Latest Price
  • Brand Name: LESITE
  • Model Number: Standard
  • Minimum Order Quantity: 1
  • Delivery Time: 20-30work day
  • view more

Nordic Origami Bedside Lamp Pleated Umbrella Table Light Vintage Minimal Lamps

Price: Negotiable(very competitive) Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: 20 days to 50 days after received the deposit.
  • view more

Double Sides Colorful Craft Paper , High Stiffness Origami Paper Sheet 80g 180g

Price: Negotiate Get Latest Price
  • Brand Name: BM PAPER
  • Model Number: BM 516
  • Minimum Order Quantity: Negotiate
  • Delivery Time: 5-20 working days
  • view more

Large Format Colored Origami Cardboard 180gsm Yellow / Blue Manila Paper Sheets

Price: Negotiation Get Latest Price
  • Brand Name: BMPAPER
  • Model Number: SGS, ISO
  • Minimum Order Quantity: 5 MT
  • Delivery Time: 5-15 days
  • view more

GUANGZHOU BMPAPER CO.,LTD

Guangzhou ,Guangdong

  • 10YRS
  • Verified Supplier